#include <stdio.h>
#include <mpi.h>
     
   main(int argc, char **argv)
   {
      int num_procs, my_id;
      int len;
      char name[MPI_MAX_PROCESSOR_NAME]; 
    
      MPI_Init(&argc, &argv);

      /* find out process ID, and how many processes were started. */

      MPI_Comm_rank(MPI_COMM_WORLD, &my_id);
      MPI_Comm_size(MPI_COMM_WORLD, &num_procs);
      MPI_Get_processor_name(name, &len);//
    
      printf("Hello, world.I'm process %d of %d on %s\n", my_id, num_procs, name);
   
      MPI_Finalize();
   }

